Full name: projects.locations.instances.integrations.create
Creates a new custom SOAR Integration. Use this method to start development of a new custom integration.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/integrations
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of integrations. Format: projects/{project}/locations/{location}/instances/{instance}/integrations |
Request body
The request body contains an instance of Integration.
Response body
If successful, the response body contains a newly created instance of Integration.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.integrations.update
For more information, see the IAM documentation.